%define upstream_name    Device-Modem
%define upstream_version 1.57

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Interface modems and other AT based devices
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Device/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Device::SerialPort)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
'Device::Modem' class implements basic *AT (Hayes) compliant* device
abstraction. It can be inherited by sub classes (as 'Device::Gsm'), which
are based on serial connections.

Things 'Device::Modem' can do
    * *

      connect to a modem on your serial port

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.570.0-7pclos2017
- rebuild against updates

